import { SvelteComponentTyped } from "svelte";
export type ThemeSpec = Record<string, StyleSpec>;
export type StyleSpec = {
    [propOrSelector: string]: string | number | StyleSpec | null;
};
import { EditorView } from "@codemirror/view";
import { type Extension } from "@codemirror/state";
import { type LanguageSupport } from "@codemirror/language";
declare const __propDef: {
    props: {
        class?: string | undefined;
        value?: string | null | undefined;
        basic?: boolean | undefined;
        lang?: LanguageSupport | null | undefined;
        theme?: Extension | null | undefined;
        extensions?: Extension[] | undefined;
        useTab?: boolean | undefined;
        tabSize?: number | undefined;
        styles?: ThemeSpec | null | undefined;
        lineWrapping?: boolean | undefined;
        editable?: boolean | undefined;
        readonly?: boolean | undefined;
        placeholder?: string | HTMLElement | null | undefined;
        nodebounce?: boolean | undefined;
    };
    events: {
        change: CustomEvent<string>;
        ready: CustomEvent<EditorView>;
        reconfigure: CustomEvent<EditorView>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CodeMirrorProps = typeof __propDef.props;
export type CodeMirrorEvents = typeof __propDef.events;
export type CodeMirrorSlots = typeof __propDef.slots;
export default class CodeMirror extends SvelteComponentTyped<CodeMirrorProps, CodeMirrorEvents, CodeMirrorSlots> {
}
export {};
